#include <stdio.h>
#include <pcap.h>

// Naive, implies the user will pass in and consequently
// know what the device name is.

/*
int main(int argc, char *argv[])
{
	 char *dev = argv[1];

	 printf("Device: %s\n", dev);
	 return(0);
}
*/

// In this way, the program detects the device to use on its own.

int main(int argc, char *argv[])
{
	char *dev, errbuf[PCAP_ERRBUF_SIZE];

    dev = pcap_lookupdev(errbuf);
	if (dev == NULL) {
		fprintf(stderr, "Couldn't find default device: %s\n", errbuf);
		return(2);
	}
	printf("Device: %s\n", dev);
	return(0);
}
